Subject: RE: RE: [Simple] SIMPLE - IM

From: Silvi Kates <[email-masked]>
Date: Tue, 22 Jul 2003 14:11:06 +0300

Thanks for your answer.
It was really interesting to read ot.

Can someone also refer me to documents that will have more details on the
format of the SIMPLE (sip) protocol above wireless networks (what changes
are there specificly )?
Or is it the same format (with SUBSCRIBE, NOTIFY, and MESSAGE ...)

Thanks

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Tuesday, July 22, 2003 1:24 PM
To: [email-masked]; [email-masked]
Subject: RE: RE: [Simple] SIMPLE - IM

Hi,

I think this is not a topic to be discussed in SIMPLE mailing list, but
below a short clarification from my point of view, since this seems to be a
FAQ on any SIP related mailing list.

There are different approaches in running SIP and related applications on
top of wireless networks:

One approach is to say that there is nothing different between wires and
wireless access links, since everything works on top of IP the same way. I
guess this is generally true for instance in cases where WLAN is used in
home or office environment just to replace the wires.

Another approach is to consider low capacity links (~20-100 kbps) and
terminals with small displays. For low capacity links there are a couple of
enhancements, most important of which is Signaling Compression, which allows
to reduce the size of packets. Also, some smart ways to deal with large
payloads are needed, so that they wouoldn't block the whole transmission
capacity. For presence specifically, the presence lists spec allows reducing
the number of SUBSCRIBEs that are needed over the wireless access link. For
small displays the main thing is to standardize the protocol(s) to do the
basic manipulation operations for presence lists and authorization policies
etc., so that the user would not have to switch between the presence app
(such as a presence enabled phonebook in a cellular phone) and a Web/WAP
browser. This issue is being addressed by XCAP work in SIMPLE WG. Another
thing is that protocols should be  stable and well tested before they are
put to wireless devices on the market, since software updates are still
harder to do than for PC clients. It's also clear that in the first phase it
is easier to run presence, IM etc. on top of wireless access rather than
VoIP.

Third approach is the one ongoing in 3GPP (and 3GPP2). This is to take into
account all the wireless specific issues mentioned above, but also various
operator, regulatory, interoperability, scalability, security etc.
requirements, that are not necessarily related to wireless access at all,
but to being able to deploy SIP in large operator networks, and to even go
as far as replacing the whole circuit switched telephony system. Also reuse
of existing wireless infra, such as SIM-cards for authentication and
specific codecs for media make sense. Based on this 3GPP has done IP
Multimedia Subsystem (IMS) Release 5 specifications using SIP, Diameter and
other IETF protocols, and is working on Release 6 which will include
presence, IM etc. within a well-defined application server framework. The
initial radio interfaces to be used include WCDMA, GPRS, EDGE (and CDMA-2000
for 3GPP2), but actually IMS is not limited to any particular access
technology.

In practice SIP will be deployed in wireless networks with all these three
approaches. Which one is best depends on the environment (small office vs.
large operator - WLAN vs. GPRS - Pocket PC vs. cell phone etc.) and the
requirements (QoS interworking, charging etc.). I guess In most cases people
are referring to 3GPP, when talking about "wireles SIP".

Regards,
	Markus

> -----Original Message-----
> From: ext [email-masked] [mailto:[email-masked]]
> Sent: 22 July, 2003 12:42
> To: [email-masked]
> Subject: Ri:RE: [Simple] SIMPLE - IM
> 
> 
> 
> That's an interesting question...
> some times ago I read something about SIP on wireless and 
> congestion issues,
> if I don't wrong written by ericsson people.
> 
> So can someone do a summarize about SIP and/or IM on WIRELESS ???
> 
> thanks in advance
> Sal
> 
> 
> 
> > Thanks for your answer.
> >  
> > I have another small question.
> > Does the known format of IM and Presence (MESSAGE, 
> SUBSCRIBE, NOTIFY ...)
> > used the same way on wireless networks and on wired networks?
> >  
> > If not, can anyone point me to some document about the 
> difference between
> > those networks?
> > (or documents of how it being handled on wireless networks?)
> > Thanks again.
> >  
> >  
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] 
> > Sent: Tuesday, July 22, 2003 12:13 PM
> > To: [email-masked]; [email-masked]
> > Subject: RE: [Simple] SIMPLE - IM
> >  
> > Hi Silvi,
> >  
> > There will be two different paradigms for SIP IM: one-shot 
> messages using
> > MESSAGE method, and messaging sessions using MSRP as the 
> transport protocol
> > for messages. MSRP does not run on top of SIP but directly 
> on top of TCP.
> > SIP INVITE & BYE are just used to setup the messaging 
> session (using normal
> > SDP negotiation). The justification for the two paradigms 
> is quite well
> > presented in the first two chapters of the draft mentioned 
> in your mail. 
> >  
> > SIP MESSAGE is already an RFC 3428: 
http://www.ietf.org/rfc/rfc3428.txt
> <http://www.ietf.org/rfc/rfc3428.txt> , and supported by many
> implementations. Messaging Sessions and MSRP are still in a draft phase,
but
> getting quite close to be ready. This means that they should appear in the
> "real world" in the next few months.
>  
> Rgs,
>     Markus 
> -----Original Message-----
> From: ext Silvi Kates [mailto:[email-masked]]
> Sent: 22 July, 2003 11:49
> To: [email-masked]'
> Subject: [Simple] SIMPLE - IM
> Hi,
> So far on all the documents and applications of Instant message the Method
> for sending IM messages was
> MESSAGE.
> Now I came across this draft:
> http://www.potaroo.net/ietf/ids/draft-ietf-simple-message-sessions-01.txt
>
<http://www.potaroo.net/ietf/ids/draft-ietf-simple-message-sessions-01.txt> 
> Which I found in here: http://www.potaroo.net/ietf/ids-wg-simple.html
> <http://www.potaroo.net/ietf/ids-wg-simple.html> 
>  
> That's suggests that instead of using the MESSAGE method, there are now
new
> methods (SEND , VISIT, BIND)
> Of the  MSRP (message session relay protocol) that are carried over SIP.
> Is this only a suggestion, or does it really used in real life, on SIP IM
> applications?
>  
>  
> Thanks
>  Silvi
>  
> 
> 
> List of bodypart file names

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple